Package fr.gouv.vitam.worker.core.plugin.evidence.report

# Class EvidenceAuditParameters

java.lang.Object
fr.gouv.vitam.worker.core.plugin.evidence.report.EvidenceAuditParameters

public class EvidenceAuditParameters extends Object
Evidence audit Parameters

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvidenceAuditParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuditMessage()`
  getter for auditMessage
  `DigestType`
  `getDigestType()`
  getter for digestType
  `EvidenceStatus`
  `getEvidenceStatus()`
  getter for evidenceStatus
  `String`
  `getFileDigest()`
  getter for fileDigest
  `String`
  `getFileName()`
  getter for fileName
  `String`
  `getHashLfcFromDatabase()`
  getter for hashLfcFromDatabase
  `String`
  `getHashMdFromDatabase()`
  getter for hashMdFromDatabase
  `String`
  `getId()`
  getter for id
  `int`
  `getLfcVersion()`
  getter for lfcVersion
  `StoredInfoResult`
  `getMdOptimisticStorageInfo()`
  getter for mdOptimisticStorageInfo
  `Map<String,StoredInfoResult>`
  `getMdOptimisticStorageInfoMap()`
  getter for mdOptimisticStorageInfoMap
  `MetadataType`
  `getMetadataType()`
  getter for metadataType
  `Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getObjectStorageMetadataResultMap()`
  getter for objectStorageMetadataResultMap
  `String`
  `getSecurisationOperationId()`
  getter for securisationOperationId
  `com.fasterxml.jackson.databind.JsonNode`
  `getStorageMetadataResultListJsonNode()`
  getter for storageMetadataResultListJsonNode
  `LifeCycleTraceabilitySecureFileObject`
  `getTraceabilityLine()`
  getter for traceabilityLine
  `boolean`
  `isLastSecurisation()`
  getter for isLastSecurisation
  `void`
  `setAuditMessage(String auditMessage)`
  setter for auditMessage
  `void`
  `setDigestType(DigestType digestType)`
  setter for digestType
  `void`
  `setEvidenceStatus(EvidenceStatus evidenceStatus)`
  setter for evidenceStatus
  `void`
  `setFileDigest(String fileDigest)`
  setter for fileDigest
  `void`
  `setFileName(String fileName)`
  setter for fileName
  `void`
  `setHashLfcFromDatabase(String hashLfcFromDatabase)`
  setter for hashLfcFromDatabase
  `void`
  `setHashMdFromDatabase(String hashMdFromDatabase)`
  setter for hashMdFromDatabase
  `void`
  `setId(String id)`
  setter for id
  `void`
  `setLastSecurisation(boolean lastSecurisation)`
  setter for isLastSecurisation
  `void`
  `setLfcVersion(int lfcVersion)`
  setter for lfcVersion
  `void`
  `setMdOptimisticStorageInfo(StoredInfoResult mdOptimisticStorageInfo)`
  setter for mdOptimisticStorageInfo
  `void`
  `setMdOptimisticStorageInfoMap(Map<String,StoredInfoResult> mdOptimisticStorageInfoMap)`
  setter for mdOptimisticStorageInfoMap
  `void`
  `setMetadataType(MetadataType metadataType)`
  setter for metadataType
  `void`
  `setObjectStorageMetadataResultMap(Map<String,com.fasterxml.jackson.databind.JsonNode> objectStorageMetadataResultMap)`
  setter for objectStorageMetadataResultMap
  `void`
  `setSecurisationOperationId(String securisationOperationId)`
  setter for securisationOperationId
  `void`
  `setStorageMetadataResultListJsonNode(com.fasterxml.jackson.databind.JsonNode storageMetadataResultListJsonNode)`
  setter for storageMetadataResultListJsonNode
  `void`
  `setTraceabilityLine(LifeCycleTraceabilitySecureFileObject traceabilityLine)`
  setter for traceabilityLine

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EvidenceAuditParameters

    public EvidenceAuditParameters()

- ## Method Details

  - ### getFileName

    public String getFileName()
    getter for fileName

  - ### setFileName

    public void setFileName(String fileName)
    setter for fileName

  - ### getDigestType

    public DigestType getDigestType()
    getter for digestType

  - ### setDigestType

    public void setDigestType(DigestType digestType)
    setter for digestType

  - ### getFileDigest

    public String getFileDigest()
    getter for fileDigest

  - ### setFileDigest

    public void setFileDigest(String fileDigest)
    setter for fileDigest

  - ### getSecurisationOperationId

    public String getSecurisationOperationId()
    getter for securisationOperationId

  - ### setSecurisationOperationId

    public void setSecurisationOperationId(String securisationOperationId)
    setter for securisationOperationId

  - ### getId

    public String getId()
    getter for id

  - ### setId

    public void setId(String id)
    setter for id

  - ### getMetadataType

    public MetadataType getMetadataType()
    getter for metadataType

  - ### setMetadataType

    public void setMetadataType(MetadataType metadataType)
    setter for metadataType

  - ### isLastSecurisation

    public boolean isLastSecurisation()
    getter for isLastSecurisation

  - ### setLastSecurisation

    public void setLastSecurisation(boolean lastSecurisation)
    setter for isLastSecurisation

  - ### getTraceabilityLine

    public LifeCycleTraceabilitySecureFileObject getTraceabilityLine()
    getter for traceabilityLine

  - ### setTraceabilityLine

    public void setTraceabilityLine(LifeCycleTraceabilitySecureFileObject traceabilityLine)
    setter for traceabilityLine

  - ### getMdOptimisticStorageInfo

    public StoredInfoResult getMdOptimisticStorageInfo()
    getter for mdOptimisticStorageInfo

  - ### setMdOptimisticStorageInfo

    public void setMdOptimisticStorageInfo(StoredInfoResult mdOptimisticStorageInfo)
    setter for mdOptimisticStorageInfo

  - ### getHashMdFromDatabase

    public String getHashMdFromDatabase()
    getter for hashMdFromDatabase

  - ### setHashMdFromDatabase

    public void setHashMdFromDatabase(String hashMdFromDatabase)
    setter for hashMdFromDatabase

  - ### getLfcVersion

    public int getLfcVersion()
    getter for lfcVersion

  - ### setLfcVersion

    public void setLfcVersion(int lfcVersion)
    setter for lfcVersion

  - ### getHashLfcFromDatabase

    public String getHashLfcFromDatabase()
    getter for hashLfcFromDatabase

  - ### setHashLfcFromDatabase

    public void setHashLfcFromDatabase(String hashLfcFromDatabase)
    setter for hashLfcFromDatabase

  - ### getStorageMetadataResultListJsonNode

    public com.fasterxml.jackson.databind.JsonNode getStorageMetadataResultListJsonNode()
    getter for storageMetadataResultListJsonNode

  - ### setStorageMetadataResultListJsonNode

    public void setStorageMetadataResultListJsonNode(com.fasterxml.jackson.databind.JsonNode storageMetadataResultListJsonNode)
    setter for storageMetadataResultListJsonNode

  - ### getAuditMessage

    public String getAuditMessage()
    getter for auditMessage

  - ### setAuditMessage

    public void setAuditMessage(String auditMessage)
    setter for auditMessage

  - ### getEvidenceStatus

    public EvidenceStatus getEvidenceStatus()
    getter for evidenceStatus

  - ### setEvidenceStatus

    public void setEvidenceStatus(EvidenceStatus evidenceStatus)
    setter for evidenceStatus

  - ### getObjectStorageMetadataResultMap

    public Map<String,com.fasterxml.jackson.databind.JsonNode> getObjectStorageMetadataResultMap()
    getter for objectStorageMetadataResultMap

  - ### setObjectStorageMetadataResultMap

    public void setObjectStorageMetadataResultMap(Map<String,com.fasterxml.jackson.databind.JsonNode> objectStorageMetadataResultMap)
    setter for objectStorageMetadataResultMap

  - ### getMdOptimisticStorageInfoMap

    public Map<String,StoredInfoResult> getMdOptimisticStorageInfoMap()
    getter for mdOptimisticStorageInfoMap

  - ### setMdOptimisticStorageInfoMap

    public void setMdOptimisticStorageInfoMap(Map<String,StoredInfoResult> mdOptimisticStorageInfoMap)
    setter for mdOptimisticStorageInfoMap